#!/usr/bin/env ansible-playbook
---
- name: Create a new Openstack machine
  connection: local
  hosts: localhost
  vars:
    target_hosts_group: "{{ request_target_hosts_group }}"
    openstack_cloud: openstack
    machine_security_groups:
      - default
  roles:
    - role: create_machine_openstack
      vars:
        machine_name: "{{ request_machine_name | default('srcnet-test-machine-x', true) }}"
        machine_floating_ip: "{{ request_machine_floating_ip | default('', true) }}"
        machine_image: "{{ request_machine_image | default('rocky-9-nogui', true) }}"
        machine_flavor: "{{ request_machine_flavor | default('l3.micro', true) }}"
        machine_ssh_user: "{{ request_machine_ssh_user | default('rocky', true) }}"
        machine_key_name: "{{ request_machine_key_name | default('root-srcnet-infrastructure-provisioner', true) }}"
        machine_network: "{{ request_machine_network | default('SRCNet-network', true) }}"
        machine_auto_ip: "{{ request_machine_auto_ip | default('no', true) }}"


